
Redmine - Defect #29621

I can not attach a file to a ticket (there is no button)

2018-09-17 09:51 - Ayami Yasuoka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I want to attach a file to the ticket, but I can not attach it because there is no "select file" button even when opening the ticket edit

screen.

Administration → Roles and permissions → Permissions report → Issue tracking → Add notes

↑However, if you check here, "Select file" button will appear.

When I want to attach a file, do I have to check "Add notes" Roles and permissions?

Redmine version　Redmine3.4.6　　But this phenomenon occurred since "Redmine3.0.1".

Ruby version　2.3.3-p222

Rails version　4.2.8

Thank you for always making efforts to respond and improve Redmine's problems.

Related issues:

Is duplicate of Redmine - Defect #27622: When disabling notes for a role, fil... New

History

#1 - 2018-09-18 06:24 - Go MAEDA

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Duplicate

Ayami Yasuoka wrote:

When I want to attach a file, do I have to check "Add notes" Roles and permissions?

 Yes, "Add notes" permission is required to attach files to existing issues.

#2 - 2018-09-18 06:24 - Go MAEDA

- Is duplicate of Defect #27622: When disabling notes for a role, file upload disapperas too at issue update added

#3 - 2018-09-19 02:27 - Ayami Yasuoka

Thanks!
